Package org.eclipse.ecf.core.util

# Class Proxy.Type

java.lang.Object
org.eclipse.ecf.core.util.Proxy.Type

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  Proxy

public static class Proxy.Type extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Proxy.Type`
`DIRECT`
`static final Proxy.Type`
`HTTP`
`static final Proxy.Type`
`SOCKS`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Type(String name)`

## Method Summary

Modifier and Type
Method
Description
`static Proxy.Type`
`fromString(String type)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DIRECT

public static final Proxy.Type DIRECT

### HTTP

public static final Proxy.Type HTTP

### SOCKS

public static final Proxy.Type SOCKS

## Constructor Details

### Type

protected Type(String name)

## Method Details

### fromString

public static Proxy.Type fromString(String type)

### toString

public String toString()

Overrides:
  `toString` in class `Object`